Skip to main content
GET
/
v1
/
predictions
/
products
/
{productId}
Get a product with its events and each event's instruments
curl --request GET \
  --url https://api.aries.com/v1/predictions/products/{productId}
{
  "success": true,
  "data": {
    "product": {
      "productId": "<string>",
      "firstSeenAt": "2023-11-07T05:31:56Z",
      "lastSyncedAt": "2023-11-07T05:31:56Z"
    },
    "events": [
      {
        "event": {
          "eventId": "<string>",
          "productId": "<string>",
          "lastSyncedAt": "2023-11-07T05:31:56Z",
          "eventDisplayName": "<string>",
          "question": "<string>",
          "eventQuestion": "<string>",
          "sourceAgency": "<string>",
          "sourceAgencyUrl": "<string>",
          "underlyingSpec": "<string>",
          "calculationMethod": "<string>",
          "payoutType": "<string>",
          "timeSpecifier": "<unknown>",
          "expectedPayoutDate": "<unknown>",
          "expectedPayoutTime": "<unknown>",
          "rawAttributes": "<unknown>"
        },
        "instruments": [
          {
            "symbol": "<string>",
            "eventId": "<string>",
            "productId": "<string>",
            "state": "<string>",
            "tradable": true,
            "nonTradable": true,
            "lastSyncedAt": "2023-11-07T05:31:56Z",
            "description": "<string>",
            "strikeValue": "<string>",
            "strikeUnit": "<string>",
            "evaluationType": "<string>",
            "baseCurrency": "<string>",
            "tickSize": 123,
            "multiplier": 123,
            "minTradeQty": "<string>",
            "startDate": "2023-11-07T05:31:56Z",
            "expirationDate": "2023-11-07T05:31:56Z",
            "terminationDate": "2023-11-07T05:31:56Z",
            "lastTradeDate": "2023-11-07T05:31:56Z",
            "priceScale": "<string>",
            "priceLimit": "<unknown>",
            "tradingSchedule": "<unknown>",
            "rawPayload": "<unknown>"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

productId
string
required

Product identifier.

Example:

"HORC"

Response

Product with nested events/instruments

Standard prediction-market success envelope used by prediction historical-data and prediction-market reference endpoints. data is endpoint-specific.

success
boolean
required
Example:

true

data
object